

IF OBJECT_ID('"PK_GTTut-Drop-down_List-ContCountCity"', 'PK') IS NOT NULL ALTER TABLE "GTTut-Drop-down_List-ContCountCity" DROP CONSTRAINT "PK_GTTut-Drop-down_List-ContCountCity";

IF OBJECT_ID('"PK_GTTut-Directory"', 'PK') IS NOT NULL ALTER TABLE "GTTut-Drop-down_List-Directory" DROP CONSTRAINT "PK_GTTut-Directory";

IF OBJECT_ID('"GTTut-Drop-down_List-CountryRef"', 'V') IS NOT NULL DROP VIEW "GTTut-Drop-down_List-CountryRef";

IF OBJECT_ID('"GTTut-Drop-down_List-CountryCityRef"', 'V') IS NOT NULL DROP VIEW "GTTut-Drop-down_List-CountryCityRef";

IF OBJECT_ID('"GTTut-Drop-down_List-CountryCapRef"', 'V') IS NOT NULL DROP VIEW "GTTut-Drop-down_List-CountryCapRef";

IF OBJECT_ID('"GTTut-Drop-down_List-ContCountCity"', 'U') IS NOT NULL DROP TABLE "GTTut-Drop-down_List-ContCountCity";

IF OBJECT_ID('"GTTut-Drop-down_List-Directory"', 'U') IS NOT NULL DROP TABLE "GTTut-Drop-down_List-Directory";



CREATE TABLE "GTTut-Drop-down_List-ContCountCity"
(
	"Continent" nvarchar(50) NOT NULL ,
	"Country" nvarchar(50) NOT NULL ,
	"City" nvarchar(50) NOT NULL ,
	"IsACapital" int DEFAULT 0  NOT NULL,
	CONSTRAINT "PK_GTTut-Drop-down_List-ContCountCity" PRIMARY KEY 
	(
	"Continent" , 
	"Country" , 
	"City"
	)
);



GO



CREATE TABLE "GTTut-Drop-down_List-Directory"
(
	"MailAdress" nvarchar(100) NULL ,
	"Continent" nvarchar(100) NOT NULL,
	CONSTRAINT "PK_GTTut-Directory" PRIMARY KEY 
	(
	"Continent"
	)
);



GO


CREATE VIEW "GTTut-Drop-down_List-CountryRef"
AS
SELECT     "Continent", "City" AS "CityForContinent"
FROM         "GTTut-Drop-down_List-ContCountCity";


GO



CREATE VIEW "GTTut-Drop-down_List-CountryCityRef"
AS
SELECT     "Continent", "Country" AS "CountryCity-Country", "City" AS "CountryCity-City", "IsACapital"
FROM         "GTTut-Drop-down_List-ContCountCity";



GO



CREATE VIEW "GTTut-Drop-down_List-CountryCapRef"
AS
SELECT     "Continent", "Country" AS "CountryRef", "City" AS "CapitalRef"
FROM         "GTTut-Drop-down_List-ContCountCity"
WHERE     ("IsACapital" = 1);



GO





