
SET search_path TO "Inscrire ici le schema a utiliser";



DROP VIEW IF EXISTS "GTTut-Drop-down_List-CountryRef";

DROP VIEW IF EXISTS "GTTut-Drop-down_List-CountryCityRef";

DROP VIEW IF EXISTS "GTTut-Drop-down_List-CountryCapRef";

DROP TABLE IF EXISTS "GTTut-Drop-down_List-ContCountCity";

DROP TABLE IF EXISTS "GTTut-Drop-down_List-Directory";



CREATE TABLE "GTTut-Drop-down_List-ContCountCity"
(
	"Continent" character varying(50) NOT NULL ,
	"Country" character varying(50) NOT NULL ,
	"City" character varying(50) NOT NULL ,
	"IsACapital" int DEFAULT 0  NOT NULL,
	CONSTRAINT "PK_GTTut-Drop-down_List-ContCountCity" PRIMARY KEY 
	(
	"Continent" , 
	"Country" , 
	"City"
	)
);



CREATE TABLE "GTTut-Drop-down_List-Directory"
(
	"MailAdress" character varying(100) NULL ,
	"Continent" character varying(100) NOT NULL,
	CONSTRAINT "PK_GTTut-Directory" PRIMARY KEY 
	(
	"Continent"
	)
);






CREATE VIEW "GTTut-Drop-down_List-CountryRef"
AS
SELECT     "Continent", "City" AS "CityForContinent"
FROM         "GTTut-Drop-down_List-ContCountCity";






CREATE VIEW "GTTut-Drop-down_List-CountryCityRef"
AS
SELECT     "Continent", "Country" AS "CountryCity-Country", "City" AS "CountryCity-City", "IsACapital"
FROM         "GTTut-Drop-down_List-ContCountCity";






CREATE VIEW "GTTut-Drop-down_List-CountryCapRef"
AS
SELECT     "Continent", "Country" AS "CountryRef", "City" AS "CapitalRef"
FROM         "GTTut-Drop-down_List-ContCountCity"
WHERE     ("IsACapital" = 1);









